/* 
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
/**
 * Author:  Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 * Created: 2 ago. 2021
 */

DROP EVENT IF EXISTS `DAILY_FILL_FEE_ON_SATURDAY`;

DELIMITER //
CREATE EVENT `DAILY_FILL_FEE_ON_SATURDAY`
ON SCHEDULE
    EVERY 1 DAY
	STARTS '2021-11-13 15:00:00'
DO
    IF DAYOFWEEK(CURDATE()) = 7
        THEN
        CALL DailyFillFee();
    END IF;
    //
DELIMITER ;
